%global ppp_version %(rpm -q ppp --queryformat '%{VERSION}')

Summary:   NetworkManager VPN plugin for Fortinet compatible SSLVPN
Name:      NetworkManager-fortisslvpn
Version:   1.0.8
Release:   1%{?dist}
License:   GPLv2+
URL:       http://www.gnome.org/projects/NetworkManager/
Group:     System Environment/Base
Source0:   https://download.gnome.org/sources/NetworkManager-fortisslvpn/1.0/%{name}-%{version}.tar.xz

BuildRequires: gtk3-devel >= 3.4
BuildRequires: dbus-devel >= 0.74
BuildRequires: NetworkManager-devel >= 1:0.9.10
BuildRequires: NetworkManager-glib-devel >= 1:0.9.10
BuildRequires: glib2-devel >= 2.32
BuildRequires: ppp-devel
BuildRequires: libtool intltool gettext
BuildRequires: libsecret-devel
BuildRequires: libnm-gtk-devel >= 1.0.4

Requires: gtk3
Requires: dbus
Requires: NetworkManager
Requires: openfortivpn
Requires: ppp = %{ppp_version}

%global _privatelibs libnm-fortisslvpn-properties[.]so.*
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$


%description
This package contains software for integrating VPN capabilities with
the Fortinet compatible SSLVPN server with NetworkManager.


%package -n NetworkManager-fortisslvpn-gnome
Summary: NetworkManager VPN plugin for SSLVPN - GNOME files
Group:   System Environment/Base

Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: nm-connection-editor

%description -n NetworkManager-fortisslvpn-gnome
This package contains software for integrating VPN capabilities with
the Fortinet compatible SSLVPN server with NetworkManager (GNOME files).


%prep
%setup -q


%build
%configure \
        --disable-static \
        --enable-more-warnings=yes \
        --with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_version} \
        --with-dist-version=%{version}-%{release}
make %{?_smp_mflags}


%check
make check


%install
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

rm -f %{buildroot}%{_libdir}/NetworkManager/lib*.la
rm -f %{buildroot}%{_libdir}/pppd/%{ppp_version}/*.la

%find_lang %{name}


%files -f %{name}.lang
%{_sysconfdir}/dbus-1/system.d/nm-fortisslvpn-service.conf
%{_sysconfdir}/NetworkManager/VPN/nm-fortisslvpn-service.name
%{_libexecdir}/nm-fortisslvpn-service
%{_libexecdir}/nm-fortisslvpn-auth-dialog
%{_libdir}/pppd/%{ppp_version}/nm-fortisslvpn-pppd-plugin.so
%{_sharedstatedir}/NetworkManager-fortisslvpn
%doc AUTHORS README ChangeLog
%license COPYING

%files -n NetworkManager-fortisslvpn-gnome
%{_libdir}/NetworkManager/lib*.so*
%{_datadir}/gnome-vpn-properties/fortisslvpn


%changelog
* Fri Nov 20 2015 Lubomir Rintel <lkundrak@v3.sk> - 1.0.8-1
- Update to 1.0.8 release

* Sat Oct 03 2015 Lubomir Rintel <lkundrak@v3.sk> - 1.0.6-1
- Bump to a newer release

* Tue Sep 29 2015 Lubomir Rintel <lkundrak@v3.sk> - 1.0.0-2
- Version BRs wherever appropriate

* Wed Sep 16 2015 Lubomir Rintel <lkundrak@v3.sk> - 1.0.0-1
- Initial packaging
